import { http } from '@/utils/http/axios';

export function Duel(params) {
  return http.request({
    url: '/dash/duelInfo',
    method: 'get',
    params,
  });
}

export function LevelOutputLog(params) {
  return http.request({
    url: '/dash/levelOutputLog',
    method: 'get',
    params,
  });
}

export function TreasurePlayerLevel(params) {
  return http.request({
    url: '/treasure/playerLevel',
    method: 'get',
    params,
  });
}

export function TreasureRoleWear(params) {
  return http.request({
    url: '/treasure/roleWear',
    method: 'get',
    params,
  });
}

export function TreasureLevel(params) {
  return http.request({
    url: '/treasure/level',
    method: 'get',
    params,
  });
}

export function TreasureStar(params) {
  return http.request({
    url: '/treasure/star',
    method: 'get',
    params,
  });
}

export function GrandmasterWaves(params) {
  return http.request({
    url: '/grandmaster/waves',
    method: 'get',
    params,
  });
}

export function GrandmasterSeconds(params) {
  return http.request({
    url: '/grandmaster/seconds',
    method: 'get',
    params,
  });
}

export function GrandmasterDan(params) {
  return http.request({
    url: '/grandmaster/dan',
    method: 'get',
    params,
  });
}

export function GrandmasterMatch(params) {
  return http.request({
    url: '/grandmaster/match',
    method: 'get',
    params,
  });
}
